Bug 137054 - [Yosemite] Button text doesn't go white while pushing the button, like it does for real buttons
Summary: [Yosemite] Button text doesn't go white while pushing the button, like it doe...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-23 19:59 PDT by Dean Jackson
Modified: 2014-09-25 22:23 PDT (History)
0 users

See Also:


Attachments
Patch (4.08 KB, patch)
2014-09-23 20:07 PDT, Dean Jackson
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2014-09-23 19:59:32 PDT
[Yosemite] Button text doesn't go white while pushing the button, like it does for real buttons
Comment 1 Dean Jackson 2014-09-23 20:07:50 PDT
Created attachment 238581 [details]
Patch
Comment 2 Dean Jackson 2014-09-24 03:33:38 PDT
rdar://problem/17559038
Comment 3 Dean Jackson 2014-09-24 12:57:39 PDT
Committed r173928: <http://trac.webkit.org/changeset/173928>
Comment 4 Darin Adler 2014-09-25 22:23:37 PDT
Comment on attachment 238581 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=238581&action=review

> Source/WebCore/rendering/RenderThemeMac.mm:523
> +    case CSSValueActivebuttontext:
> +#if __MAC_OS_X_VERSION_MIN_REQUIRED >= 101000
> +        color = 0xC0FFFFFF;
> +#endif
> +        break;

Don’t we want to set the color to something on pre-101000 systems instead of letting it call through to RenderTheme::systemColor? Maybe convertNSColorToColor([NSColor controlTextColor])?

No FIXME about this being hardcoded? Same problem as with CSSValueInfobackground, I guess.